#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-IygxhtRicVCEUVdHkyAhlt
key:                  persistent-test-2.13.1.3-IygxhtRicVCEUVdHkyAhlt
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  b94ed77e6e82175981a0e55eb9f86c05
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-IygxhtRicVCEUVdHkyAhlt
depends:
    HUnit-1.6.2.0-DucYFi7W996LJfea0vxExR
    QuickCheck-2.14.3-Gpw9UoHUxB71c0Trj8n39O
    aeson-2.1.2.1-38LADbNStwmEfKOReucTQy base-4.17.2.1
    blaze-html-0.9.2.0-LTgARzkQmuR7wd3WENC7Bl bytestring-0.11.5.3
    conduit-1.3.6.1-71bcac4Cc835E6whLI9wK1 containers-0.6.7
    exceptions-0.10.5 hspec-2.10.9-8PqvxiZVgrL4DvXVyNhtnS
    hspec-expectations-0.8.3-8SHeV75XzHGAS0nDpIhPfV
    http-api-data-0.5.1-D6njr8klPbRHpabawDRQ5e
    monad-control-1.0.3.1-CU0oSebqH0K53geyhZCKTM
    monad-logger-0.3.42-5hI1L1PwsnhGPBc3I2vfqe mtl-2.2.2
    path-pieces-0.2.1-3XB1w9Pq9G55ySSfgWLsAv
    persistent-2.14.5.1-5FMB7eNLYEOC3vC4Uy4q4x
    quickcheck-instances-0.3.30-ElKMsaX0UtJAlLJx0Sj6nf
    random-1.2.1.2-5Y3bNr2vhgE1UbXPPVLWyj
    resourcet-1.2.6-1gicgfJmNW9Cb8ffzmTP6H text-2.0.2 time-1.12.2
    transformers-0.5.6.2 transformers-base-0.4.6-Gpx2WMc051hBRdn2HnKilA
    unliftio-0.2.25.1-F7Dw6tTXv5C3zxHQgA2LvN
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-WenrpHtwHKIVom5hXYF7C

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

